{
	"name": "query/manager/order/order_row/sales/open_bw_daewoo_tab.json",
	"database": "4d",
	"table": [{
		"record_type": ["sales"],
		"table": "order_row"
	}],
	"parameter": {
		"days_to_future": 30,
		"last_date": "",
		"record_id": [],
		"sales_order_state": ["AV", "EV", "VA", "AL"]
	},
	"field": ["ordr.record_id"],
	"map_parameter": [
		["last_date", "=", ["daysToCurrentDateStringAdd", ["days_to_future"]]]
	],
	"order": ["ordr.confirmed_delivery_date", ">"],
	"query": [
		["ordr.record_id", "in", "record_id"], "and", ["ord.order_state", "in", "sales_order_state"], "and", ["ordr.confirmed_delivery_date", "<=", "last_date"], "and", ["ordr.confirmed_delivery_date", ">", "2000-01-01"]
	]
}